//This code runs a pump and continous servo based on the input of a button and photoresistor
//When the button is pressed, the servo will spin and the pump will pump
//When light levels are above a threshhold, the servo will spin
//When the button is not pressed and light levels are low, the system will be stationary

//Prepare to use the servo
#include <Servo.h> // load servo library
Servo myservo; // create servo object

//declare two variables for button and light readings
int button = 0;
int light = 0;

void setup(){
  myservo.attach(9); //servo control
  pinMode(8, INPUT); //button input
  pinMode(12, OUTPUT); //backwards pin
  pinMode(13, OUTPUT); //Forward pin
  Serial.begin(9600); //prep for logging
}

void loop(){
  //read from sensors
  button = digitalRead(8);
  light = analogRead(A0);
  digitalWrite(12,LOW);
 //run pump and spin servo if button is pressed
  if(button == 1) {
    digitalWrite(13,HIGH);
    myservo.write(45);
//spin the servo if the light levels are high enough
  } else if(light > 900) {
    digitalWrite(13,LOW);
    myservo.write(45);
//do nothing if dark and the button is not pressed
  } else {
    digitalWrite(13,LOW);
    myservo.write(90);
  }
  Serial.write(light); //write the light value to Ardiono IDE
}
